# $Revision: 1.19 $, $Date: 2010/03/02 22:10:10 $
%define pkgname tmail
Summary:	TMail mail library
Summary(pl.UTF-8):	TMail - biblioteka do obsługi poczty
Name:		ruby-%{pkgname}
# WARNING! TMail >= 1.2.5 is not compatible with ruby 1.9!
Version:	1.2.3.1
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	06e10d8633619b106e450005454485ca
Patch0:		%{name}-fixes.patch
URL:		http://tmail.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-rchardet >= 1.3
Obsoletes:	ruby-TMail
Provides:	ruby-TMail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail handling module for Ruby.

%description -l pl.UTF-8
Moduł dla języka Ruby obsługujący pocztę.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%package rdoc
Summary:	Documentation files for TMail mail library
Summary(pl.UTF-8):	Pliki dokumentacji do biblioteki TMail służącej do obsługi poczty
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for TMail mail library

%description rdoc -l pl.UTF-8
Pliki dokumentacji do biblioteki TMail służącej do obsługi poczty.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

%build
ruby setup.rb config \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir} \
	--without_ext yes

ruby setup.rb setup

rdoc --ri -o ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm -r ri/{Enumerable,StringInput,StringOutput}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_rubylibdir}/tmail.rb
%{ruby_rubylibdir}/tmail

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%{ruby_ridir}/TMail

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-tmail.spec,v $
Revision 1.19  2010/03/02 22:10:10  baggins
- added ri package

Revision 1.18  2010/02/28 17:20:05  baggins
- updated to 1.2.3.1 (last version that supports ruby 1.9)

Revision 1.17  2010/02/27 18:59:16  baggins
- renamed ruby-TMail -> ruby-tmail

Revision 1.16  2009/01/08 16:21:55  qboosh
- pl for -rdoc

Revision 1.15  2009/01/06 07:10:40  glen
- unify ri stuff

Revision 1.14  2009/01/06 04:39:26  glen
- add rdoc subpkg, cleanups

Revision 1.13  2007/03/08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.12  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.10  2005/12/31 10:36:33  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.7  2005/12/27 09:44:43  twittner
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

Revision 1.6  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.5  2005/06/12 01:39:09  aredridel
- rel 3 for rebuild
- STBR

Revision 1.4  2004/08/21 00:28:08  qboosh
- .so perms

Revision 1.3  2004/08/19 06:39:42  aredridel
- added ri docs

Revision 1.2  2004/08/09 01:40:14  aredridel
- not noarch
- rel 2

Revision 1.1  2004/08/09 01:39:43  aredridel
- added
